#
# spec file for package flwkey
#
# Copyright (c) 2017 Walter Fey DL8FCL
#
# This file is under MIT license

Name:           flwkey
Version:        1.2.3
Release:        lp153.2.1
License:        GPL-2.0
Summary:        Interface to the Winkeyer
Url:            http://www.w1hjk.com
Group:          Productivity/Hamradio/Morse
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  fltk-devel
BuildRequires:  flxmlrpc-devel
BuildRequires:  gcc-c++
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  update-desktop-files
BuildRequires:  xorg-x11-devel

%description
Flwkey is a simple interface to the Winkeyer series of CW code generators.
It can be used with both the Winkeyer 1.x and 2.x series as well as the
RigExpert and other units that either use the K1EL chipset or emulate
it's behavior.

%prep
%setup -q

%build
%configure LIBS="-lX11" 
make %{?_smp_mflags}

%install
%make_install
%suse_update_desktop_file -i flwkey

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%doc ChangeLog COPYING README
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Mar 25 2016 dl8fcl@t-online.de
- update to version 1.2.3
  Remember and restore WPM setting between sessions - default 20 WPM
  get_vfo - correct xmlrpc result string conversion to std::string
* Tue Apr 28 2015 dl8fcl@darc.de
- update to version 1.2.0
  requires libflxmlrpc
* Mon Jan 26 2015 dl8fcl@darc.de
- update to version 1.1.7 - Maintenance release
* Tue Feb  4 2014 dl8fcl@darc.de
- update to version 1.1.6 - Maintenance release
* Mon Feb 18 2013 dl8fcl@darc.de
- corrected spec file for openSUSE_Factory
* Sun Jan  6 2013 dl8fcl@darc.de
- update to version 1.1.4 - Maintenance release
* Mon Jun 25 2012 dl8fcl@darc.de
-  update to version 1.1.3
* Thu Jan 26 2012 dl8fcl@darc.de
- update to version 1.1.2, build with fltk-1.1.10 and fltk-1.3.0
* Tue Aug 31 2010 dl8fcl@darc.de
- import into buildservice
